/**
 * SECTION:Theme
 * @short_description: A themed renderer for windows.
 */
/**
 * PLANK_DRAWING_TYPE_THEME:
 * 
 * The type for <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link>.
 */
/**
 * plank_drawing_theme_load:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance
 * @type: (in): &nbsp;.  the type of theme to load 
 * 
 * Loads a theme for the renderer to use.
 */
/**
 * plank_drawing_theme_get_top_offset:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance
 * 
 * Returns the top offset.
 * 
 * Returns: the top offset 
 */
/**
 * plank_drawing_theme_get_bottom_offset:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance
 * 
 * Returns the bottom offset.
 * 
 * Returns: the bottom offset 
 */
/**
 * plank_drawing_theme_draw_background:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance
 * @surface: (in): &nbsp;.  the dock surface to draw on 
 * 
 * Draws a background onto the surface.
 */
/**
 * plank_drawing_theme_draw_inner_rect:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance
 * @cr: (in): &nbsp;.  the context to draw with 
 * @width: (in): &nbsp;.  the width of the rect 
 * @height: (in): &nbsp;.  the height of the rect 
 * 
 * Similar to draw_rounded_rect, but moves in to avoid a containing rounded rect&apos;s lines.
 */
/**
 * PLANK_DRAWING_THEME_DEFAULT_NAME:
 */
/**
 * PlankDrawingTheme:top-roundness:
 */
/**
 * plank_drawing_theme_get_TopRoundness:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingTheme--top-roundness"><type>"top-roundness"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingTheme--top-roundness"><type>"top-roundness"</type></link> property
 */
/**
 * plank_drawing_theme_set_TopRoundness:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingTheme--top-roundness"><type>"top-roundness"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingTheme--top-roundness"><type>"top-roundness"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingTheme:bottom-roundness:
 */
/**
 * plank_drawing_theme_get_BottomRoundness:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingTheme--bottom-roundness"><type>"bottom-roundness"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingTheme--bottom-roundness"><type>"bottom-roundness"</type></link> property
 */
/**
 * plank_drawing_theme_set_BottomRoundness:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingTheme--bottom-roundness"><type>"bottom-roundness"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingTheme--bottom-roundness"><type>"bottom-roundness"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingTheme:line-width:
 */
/**
 * plank_drawing_theme_get_LineWidth:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingTheme--line-width"><type>"line-width"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingTheme--line-width"><type>"line-width"</type></link> property
 */
/**
 * plank_drawing_theme_set_LineWidth:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingTheme--line-width"><type>"line-width"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingTheme--line-width"><type>"line-width"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingTheme:outer-stroke-color:
 */
/**
 * plank_drawing_theme_get_OuterStrokeColor:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingTheme--outer-stroke-color"><type>"outer-stroke-color"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingTheme--outer-stroke-color"><type>"outer-stroke-color"</type></link> property
 */
/**
 * plank_drawing_theme_set_OuterStrokeColor:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingTheme--outer-stroke-color"><type>"outer-stroke-color"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingTheme--outer-stroke-color"><type>"outer-stroke-color"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingTheme:fill-start-color:
 */
/**
 * plank_drawing_theme_get_FillStartColor:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingTheme--fill-start-color"><type>"fill-start-color"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingTheme--fill-start-color"><type>"fill-start-color"</type></link> property
 */
/**
 * plank_drawing_theme_set_FillStartColor:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingTheme--fill-start-color"><type>"fill-start-color"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingTheme--fill-start-color"><type>"fill-start-color"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingTheme:fill-end-color:
 */
/**
 * plank_drawing_theme_get_FillEndColor:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingTheme--fill-end-color"><type>"fill-end-color"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingTheme--fill-end-color"><type>"fill-end-color"</type></link> property
 */
/**
 * plank_drawing_theme_set_FillEndColor:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingTheme--fill-end-color"><type>"fill-end-color"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingTheme--fill-end-color"><type>"fill-end-color"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingTheme:inner-stroke-color:
 */
/**
 * plank_drawing_theme_get_InnerStrokeColor:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingTheme--inner-stroke-color"><type>"inner-stroke-color"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingTheme--inner-stroke-color"><type>"inner-stroke-color"</type></link> property
 */
/**
 * plank_drawing_theme_set_InnerStrokeColor:
 * @self: the <link linkend="PlankDrawingTheme"><type>PlankDrawingTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingTheme--inner-stroke-color"><type>"inner-stroke-color"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingTheme--inner-stroke-color"><type>"inner-stroke-color"</type></link> property to @value.
 * 
 * 
 */
/**
 * plank_drawing_theme_draw_rounded_rect:
 * @cr: (in): &nbsp;.  the context to draw with 
 * @x: (in): &nbsp;.  the x location of the rect 
 * @y: (in): &nbsp;.  the y location of the rect 
 * @width: (in): &nbsp;.  the width of the rect 
 * @height: (in): &nbsp;.  the height of the rect 
 * @top_radius: (in): &nbsp;.  the roundedness of the top edge 
 * @bottom_radius: (in): &nbsp;.  the roundedness of the bottom edge 
 * @line_width: (in): &nbsp;.  the line-width of the rect 
 * 
 * Draws a rounded rectangle. If compositing is disabled, just draws a normal rectangle.
 */
/**
 * plank_drawing_theme_draw_rounded_line:
 * @cr: (in): &nbsp;.  the context to draw with 
 * @x: (in): &nbsp;.  the x location of the line 
 * @y: (in): &nbsp;.  the y location of the line 
 * @width: (in): &nbsp;.  the width of the line 
 * @height: (in): &nbsp;.  the height of the line 
 * @is_round_left: (in): &nbsp;.  weather the left is round or not 
 * @is_round_right: (in): &nbsp;.  weather the right is round or not 
 * @stroke: (in) (allow-none): &nbsp;.  filling style of the outline 
 * @fill: (in) (allow-none): &nbsp;.  filling style of the inner area 
 * 
 * Draws a rounded horizontal line.
 */
/**
 * plank_drawing_theme_get_theme_list:
 * 
 * Get a sorted list of all available theme-names
 * 
 * Returns: <link linkend="GeeArrayList"><type>GeeArrayList</type></link> the list of theme-names 
 */
/**
 * plank_drawing_theme_get_theme_folder:
 * @name: (in): &nbsp;.  the basename of the folder 
 * 
 * Try to get an already existing folder located in the themes folder while prefering the user&apos;s themes folder. If there is no folder found we fallback to the &quot;Default&quot; theme. If even that folder doesn&apos;t exist return NULL (and use built-in defaults)
 * 
 * Returns: <link linkend="GFile"><type>GFile</type></link> the folder of the theme or NULL 
 */
/**
 * PlankDrawingTheme:
 * 
 * A themed renderer for windows.
 */
/**
 * PlankDrawingThemeClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-DRAWING-TYPE-THEME:CAPS"><literal>PLANK_DRAWING_TYPE_THEME</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
